From 6b35f6dd99df4896ae54fee5c85f0f97382a2875 Mon Sep 17 00:00:00 2001
From: Aditya Vidyadhar Kamath <Aditya.Kamath1@ibm.com>
Date: Fri, 14 Oct 2022 01:52:07 -0500
Subject: [PATCH] Modify altivec-regs.exp testcase for AIX

Hi,

In AIX, unless and until the debugee uses the vector registers, one cannot fetch or write on them.

This patch ensures the completion of the execution of the line that uses vector registers first time only in AIX target.

Then the testcase will be able to set and fetch the vector registers.

For the remaining targets test case will stay as it is.
---
 gdb/testsuite/gdb.arch/altivec-regs.exp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gdb/testsuite/gdb.arch/altivec-regs.exp b/gdb/testsuite/gdb.arch/altivec-regs.exp
index 87e48058ad3..fc168e5df34 100644
--- a/gdb/testsuite/gdb.arch/altivec-regs.exp
+++ b/gdb/testsuite/gdb.arch/altivec-regs.exp
@@ -57,7 +57,10 @@ if ![runto_main] then {
 }
 
 gdb_test "set print frame-arguments all"
-
+if {[istarget "powerpc*-*-aix*"]} then {
+  gdb_test "next"
+  gdb_test "next"
+}
 
 # set all the registers integer portions to 1
 for {set i 0} {$i < 32} {incr i 1} {
-- 
2.31.1

